package iot.lidee.common.core.cache;

import org.springframework.stereotype.Component;

import java.util.*;
import java.util.concurrent.TimeUnit;

@Component
public class CacheHelper {

    /**
     * 获取指定key的String类型缓存
     * @param key
     * @return
     */
    public String stringGet(String key) {
        return null;
    }
    Map<String,String> stringMultiGet(List<String> keys) {
        return null;
    }

    /**
     * 设置指定key的String类型缓存
     * @param key
     * @param value 缓存值
     * @return
     */
    public void stringSet(String key, String value) {

    }
    /**
     * 设置指定key的String类型缓存，包含过期时间
     * @param key
     * @param value
     * @param seconds
     */
    public void stringSetExpire(String key, String value, long seconds) {
    }

    /**
     * 是否存在指定KEY
     * @param key
     * @return
     */
    public boolean exist(String key) {
        return false;
    }

}
